function optStruct = assembleOptimizationStruct(LRImages, model)
    
    % Low-resolution frames.
    optStruct.LRImages = LRImages;
    optStruct.numFrames = size(LRImages, 3);
    
    % Determine support of the PSF blur kernel (in the domain of
    % high-resolution images).
    [M, N] = size(model.SR);
    optStruct.Size = [M, N];
    blurSize = ceil(model.psfWidth * model.magFactor * 6);
    if mod(blurSize,2) == 0
        % Ensure that the kernel size is odd.
        blurSize = blurSize + 1;
    end
        
    % Blur kernel.
    optStruct.H = getBlurMatrix(M, N, blurSize, model.magFactor * model.psfWidth); 
    
    % C matrix.
    [optStruct.C, optStruct.xy] = getCMatrix(M,N);
    
    % Down-sampling operator.
    optStruct.D = getDownsamplingMatrix(M, N, model.magFactor);