% Transforms motion homography to parameter vector <[cos(angle) sin(angle) sx sy]'>
function alpha = motionToParameterVector(homography, numFrames)
    
	alpha = zeros(4,numFrames);
    for k = 1:numFrames
        % Derive motion parameters.
        cur = homography{k};
        A = transpose([cur(1,1), cur(2,1), cur(1,3), cur(2,3)]);
        alpha(:,k) = A;
    end